
import 'package:farmer_client/widgets/layout/BasicPage.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'widgets/detail.dart';

class MachineryDetailPage extends BasicPage {
  // 响应预约事件
  void handleClick() {
    Get.toNamed('/orderConfirmation');
  }

  @override
  void beforeShow() {
    // TODO: implement onMounted
    super.beforeShow();
    print("----show----detail page--------------");
  }

  @override
  void beforeHide() {
    // TODO: implement beforeHide
    super.beforeHide();
    print("-----hide---detail page--------------");
  }

  @override
  Widget builder(BuildContext context) {
    naviTitle = "查看详情";
    return page(context: context, handleClick: handleClick);
  }

}
